clear
set more off
set mem 40m
#delimit ;

use http://dss.ucsd.edu/~ssaiegh/Soccer_Replication/soccer_data.dta;

global x_region = "africa asia lac east_europe";

label var civwar "Years of civil war";
label var ln_income "Log GNI per capita";
label var r_law "Rule of Law";

label var age "Age";
label var ln_contract "Log transfer fee";
label var games_start "Games Started";
label var games_sub "Substitute";
label var defender "Defender";
label var forward "Forward";
label var midfield "Midfield";
label var goalie "Goalie";
label var goals "Goals";

label var champions "European Champions League";
label var french "French League";
label var german "German League";
label var italian "Italian League";
label var spanish "Spanish League";
label var english "English League";

label var war_after "Civil war years post-birth";
label var war_before "Civil war years pre-birth";

drop if ln_contract==.;

/* Table 1 */;

sum yellow_card red_card 
civwar r_law income
age weekly_wage contract
games_start games_sub 
goalie defender forward midfield 
goals  $x_region oecd
english champions french german italian spanish 
if (italian | champions |  english | french | german | spanish)
& (num_country>=5);


 
