clear
set more off
set mem 40m
#delimit ;

use http://dss.ucsd.edu/~ssaiegh/Soccer_Replication/soccer_data.dta;

global x_region = "africa asia lac east_europe";

label var civwar "Years of civil war";
label var ln_income "Log GNI per capita";
label var r_law "Rule of Law";

label var age "Age";
label var ln_contract "Log transfer fee";
label var games_star "Games Started";
label var games_sub "Substitute";
label var defender "Defender";
label var forward "Forward";
label var midfield "Midfield";
label var goalie "Goalie";
label var goals "Goals";

label var champions "European Champions League";
label var french "French League";
label var german "German League";
label var italian "Italian League";
label var spanish "Spanish League";
label var english "English League";

label var war_after "Civil war years post-birth";
label var war_before "Civil war years pre-birth";



/* Table 2 */;

/* Column (1) */;

nbreg yellow_card 
civwar
age games_start games_sub 
/*goalie*/ defender forward midfield 
goals ln_contract 
italian champions /*english*/ french german spanish 
$x_region
if (italian | champions |  english | french | german | spanish)
& (num_country>=5), 
robust cluster(nation);


/* Column (2) */;

nbreg yellow_card 
civwar 
age games_start games_sub 
/*goalie*/ defender forward midfield 
goals 
ln_contract ln_income
italian champions /*english*/ french german spanish 
$x_region
if (italian | champions |  english | french | german | spanish)
& (num_country>=5), 
robust cluster(nation);

/* Column (3) */;

nbreg yellow_card 
civwar r_law
age games_start games_sub 
/*goalie*/ defender forward midfield 
goals 
ln_contract 
italian champions /*english*/ french german spanish 
$x_region
if (italian | champions |  english | french | german | spanish)
& (num_country>=5), 
robust cluster(nation);


/* Column (4) */;

nbreg red_card 
civwar r_law
age games_start games_sub 
/*goalie*/ defender forward midfield 
goals 
ln_contract
italian champions /*english*/ french german spanish 
$x_region
if (italian | champions |  english | french | german | spanish)
& (num_country>=5), 
robust cluster(nation);


/* Column (5) */;

nbreg goals 
civwar r_law
age games_start games_sub 
/*defender*/ goalie  forward midfield 
ln_contract
italian champions /*english*/ french german spanish 
$x_region
if (italian | champions |  english | french | german | spanish)
& (num_country>=5), 
robust cluster(nation);

/* Column (6) */;

nbreg yellow_card 
age games_start games_sub 
/*goalie*/ defender forward midfield 
goals 
war_before war_after
ln_contract 
italian champions /*english*/ french german spanish 
$x_region
if (italian | champions |  english | french | german | spanish)
& (num_country>=5), 
robust cluster(nation);

test war_before=war_after;

/* Column (7) */;

nbreg red_card 
age games_start games_sub 
/*goalie*/ defender forward midfield 
goals 
war_before war_after
ln_contract 
italian champions /*english*/ french german spanish 
$x_region
if (italian | champions |  english | french | german | spanish)
& (num_country>=5), 
robust cluster(nation);

test war_before=war_after;


 
